Bug 816991 - Review Request: rubygem-backports - Backports of Ruby 1.8.7+ for older ruby
Review Request: rubygem-backports - Backports of Ruby 1.8.7+ for older ruby
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Achilleas Pipinellis
Fedora Extras Quality Assurance
: Reopened
: 967330 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 08:09 EDT by Vít Ondruch
Modified: 2013-12-13 22:19 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-backports-3.3.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:19:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
axilleas: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2012-04-27 08:09:02 EDT
Spec URL: http://people.redhat.com/vondruch/rubygem-backports.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-backports-2.5.1-1.fc18.src.rpm
Description: Essential backports that enable some of the really nice features of ruby 1.8.7, ruby 1.9 and rails from ruby 1.8.6 and earlier.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4028415
Comment 2 Jason Tibbitts 2013-05-01 21:53:52 EDT
I am triaging old review tickets.  I can't promise a review if you reply, but by closing out the stale tickets we can devote extra attention to the ones which aren't stale.

Build fails for me due to missing build dependency:

Error: No Package found for ruby(abi) = 1.9.1
Comment 3 Vít Ondruch 2013-05-27 03:12:49 EDT
*** Bug 967330 has been marked as a duplicate of this bug. ***
Comment 4 Achilleas Pipinellis 2013-07-26 14:20:12 EDT
Hey Vit, 

are you still into it? This gem has reached version 3.3.3 and now it includes tests. If yes, I will take it for a review. 

Thanks :)
Comment 5 Anuj More 2013-07-26 21:43:04 EDT
vondruch was considering if this package is *really* required, as all it does is backports features to 1.8.7 (which is EOLed anyway)
Comment 6 Vít Ondruch 2013-07-29 07:24:34 EDT
Exactly as Anuj said. Non of the functionality from the package should be needed for Fedora, since we are on Ruby 2.0 already. So it is of questionable value.

I understand, that upstream projects uses this for providing compatibility with older Rubies, while they can use advanced features of Ruby 2.0, which is not interesting for Fedora. On the other hand, this package might be helpful in case Fedora sticks with older Ruby for some reason.
Comment 7 Vít Ondruch 2013-09-03 03:41:30 EDT
Ok, lets move forward with this. It might be required by JRuby and there are also some Rails backports etc.

Spec URL: http://people.redhat.com/vondruch/rubygem-backports.spec
SRPM URL: http://people.redhat.com/vondruch/rubygem-backports-3.3.3-1.fc21.src.rpm
Description: Essential backports that enable many of the nice features of Ruby 1.8.7 up to 2.0.0 for earlier versions.
Fedora Account System Username: vondruch

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5885611
Comment 8 Achilleas Pipinellis 2013-09-09 16:42:51 EDT
I'll take it for a review.
Comment 9 Achilleas Pipinellis 2013-09-09 16:45:53 EDT
Apart from two issues (see below), this looks good, so I approve it. Consider fixing them prior importing this to Fedora.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Gem should use %gem_install macro.
  In general the whole %prep section uses the old style
- Package contain duplicates in %files.
  Note: warning: File listed twice:
  /usr/share/gems/gems/backports-3.3.3/test/README


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[-]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[x]: Specfile should use macros from rubygem-devel package.
[x]: Gem package should exclude cached Gem.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-backports-3.3.3-1.fc21.noarch.rpm
          rubygem-backports-doc-3.3.3-1.fc21.noarch.rpm
          rubygem-backports-3.3.3-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-backports rubygem-backports-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-backports (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)

rubygem-backports-doc (rpmlib, GLIBC filtered):
    rubygem-backports



Provides
--------
rubygem-backports:
    rubygem(backports)
    rubygem-backports

rubygem-backports-doc:
    rubygem-backports-doc



Source checksums
----------------
https://rubygems.org/gems/backports-3.3.3.gem :
  CHECKSUM(SHA256) this package     : 5ef7b7ea4bdc1713fa8cd8340a938b5a2ec0a6861a1c12aa7a67533e10513478
  CHECKSUM(SHA256) upstream package : 5ef7b7ea4bdc1713fa8cd8340a938b5a2ec0a6861a1c12aa7a67533e10513478


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 816991
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 10 Achilleas Pipinellis 2013-09-09 16:47:12 EDT
Btw if you want to add me as a co-maintainer I have no problem since I'll need this for gitlab.
Comment 11 Vít Ondruch 2013-09-17 07:57:59 EDT
Thanks for the review.

Good catch with the "gem install". Not sure about the "README" though. It seems to be some f-r false positive?


New Package SCM Request
=======================
Package Name: rubygem-backports
Short Description: Backports of Ruby features for older Ruby
Owners: vondruch axilleas
Branches:
Comment 12 Gwyn Ciesla 2013-09-17 08:36:53 EDT
Git done (by process-git-requests).
Comment 13 Vít Ondruch 2013-11-18 11:28:56 EST
Package Change Request
======================
Package Name: rubygem-backports
New Branches: f20
Comment 14 Gwyn Ciesla 2013-11-18 11:46:49 EST
No owners specified.
Comment 15 Vít Ondruch 2013-11-18 11:59:42 EST
Ok, once more :)




Package Change Request
======================
Package Name: rubygem-backports
New Branches: f20
Owners: vondruch axilleas
Comment 16 Gwyn Ciesla 2013-11-18 12:51:55 EST
Git done (by process-git-requests).
Comment 17 Fedora Update System 2013-11-19 02:52:07 EST
rubygem-backports-3.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-backports-3.3.4-1.fc20
Comment 18 Fedora Update System 2013-11-19 16:47:02 EST
rubygem-backports-3.3.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 19 Fedora Update System 2013-12-13 22:19:30 EST
rubygem-backports-3.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.